Subject: Re: question on Cygwin's version of make
From: Csaba Raduly <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Mar 2012 08:47:02 +0100
List-Id: <cygwin.cygwin.com>

On Thu, Mar 1, 2012 at 8:23 AM, marco atzeri  wrote:
> On Thu, Mar 1, 2012 at 8:13 AM, Paul Allen Newell  wrote:
(snip)
>> I also noticed that if I run "make >& make.out" that the message is printed
>> to the terminal and is not in make.out. What am I missing to capture all
>> output in make.out?
>
> I like this way
>
> make &2>1  |tee make.out
>
> "&2>1"  redirect the error message to the std output

Shouldn't that be

make 2>&1 | tee make.out

(that's what I use with bash)

Csaba
-- 
GCS a+ e++ d- C++ ULS$ L+$ !E- W++ P+++$ w++$ tv+ b++ DI D++ 5++
The Tao of math: The numbers you can count are not the real numbers.
Life is complex, with real and imaginary parts.
"Ok, it boots. Which means it must be bug-free and perfect. " -- Linus Torvalds
"People disagree with me. I just ignore them." -- Linus Torvalds

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple